# Visualization
TKV3d
Prs3d

# Prs3d_RadiusAspect Class Reference

defines the attributes when drawing a Radius Presentation.

`#include <Prs3d_RadiusAspect.hxx>`

Inheritance diagram for Prs3d_RadiusAspect:

[legend]

## Public Member Functions

Standard_EXPORT | Prs3d_RadiusAspect (const Quantity_NameOfColor aColor, const Aspect_TypeOfLine aType, const Standard_Real aWidth)
| Constructs the framework to define the display of radii. This consists of the attributes: - the color aColor - the type of line aType and - the width aWidth of the line. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT Prs3d_RadiusAspect::Prs3d_RadiusAspect | ( | const Quantity_NameOfColor | aColor,
|  | const Aspect_TypeOfLine | aType,
|  | const Standard_Real | aWidth
| ) |

## Member Function Documentation

Standard_EXPORT const Prs3d_RadiusAspect::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Prs3d_CompositeAspect.

The documentation for this class was generated from the following file:

- Prs3d_RadiusAspect.hxx